<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:marc="http://www.loc.gov/MARC21/slim" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	
	<xsl:template match="/">
		<marc:collection xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.loc.gov/MARC21/slim http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd" >
			<xsl:apply-templates />
		</marc:collection>
	</xsl:template>
	
	<!--<datafield tag="042" ind1=" " ind2=" ">
		<subfield code="a">dc</subfield>
		</datafield>
	-->
	<xsl:template match="text()" />
	<xsl:template match="record">
		<marc:record xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.loc.gov/MARC21/slim http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd" >
			<marc:leader><xsl:text>01125ntc a2200289Ia 4500</xsl:text></marc:leader>
			<marc:controlfield tag="008"><xsl:text>040320u9999\\\\xx\\\\\\\\\\\\000\0\eng\d</xsl:text></marc:controlfield>
			<xsl:if test="Repository">
				<marc:datafield tag="110" ind1="1" ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Repository" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Finding_aid">
				<marc:datafield tag="245" ind1="1" ind2="0">
					<xsl:variable name="a" select="substring-before(Finding_aid, ', ')" />
					<marc:subfield code="a"><xsl:value-of select="$a" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Date_original">
				<marc:datafield tag="260" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Date_original" /></marc:subfield>
				</marc:datafield>
			</xsl:if>			
			
			<xsl:if test="Object_description">
				<marc:datafield tag="300" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Object_description" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Repository_collection">
				<marc:datafield tag="524" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Repository_collection" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			
			<xsl:if test="Acquisition">
				<marc:datafield tag="541" ind1="1" ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Acquisition" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Location_depicted">
				<marc:datafield tag="500" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Location_depicted" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:for-each select="Description1">
				<marc:datafield tag="500" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="." /></marc:subfield>
				</marc:datafield>
			</xsl:for-each>
			
			<xsl:if test="Image_number">
				<marc:datafield tag="500" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Image_number" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Filename">
				<marc:datafield tag="500" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Filename" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Restrictions">
				<marc:datafield tag="500" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Restrictions" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Ordering_info">
				<marc:datafield tag="500" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Ordering_info" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:if test="Type">
				<marc:datafield tag="655" ind1="7" ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="Type" /></marc:subfield>
					<marc:subfield code="2">local</marc:subfield>
				</marc:datafield>
			</xsl:if>
			
			<xsl:for-each select="Subjects">
				<marc:datafield tag="690" ind1=" " ind2=" ">
					<marc:subfield code="a"><xsl:value-of select="." /></marc:subfield>
				</marc:datafield>
			</xsl:for-each>
			
			<xsl:if test="Finding_aid">
				<xsl:variable name="a" select="substring-after(Finding_aid, 'http')" />
				<marc:datafield tag="856" ind1="4" ind2="1">
					<marc:subfield code="u">http<xsl:value-of select="$a" /></marc:subfield>
				</marc:datafield>
			</xsl:if>
		</marc:record>
	</xsl:template>
</xsl:stylesheet>
